/*
** RecordBuffers.c
**
** sam_lo_p@epita.fr
*/

#include"RecordBuffers.h"

int record_buffers(main_mixer)
     t_main_mixer* main_mixer;
{
  t_mixer_elt* mixer_elt;
  int          written_bytes;
  
  mixer_elt = main_mixer->first_mixer_elt;
  written_bytes = 0;
  while ( mixer_elt != NULL) 
    {
      if (mixer_elt->rec_or_play == REC)
	{
	  mixer_elt->read_bytes = read(mixer_elt->dsp->file, mixer_elt->dsp->buffer, BUFFER_SIZE*2); /* Reading
												 from DSP */
	  if (mixer_elt->read_bytes <= 0)
	    warning("Error while reading from the dsp. This can be due to the fact that your sound card is"
		    "not full-duplex.");
	  written_bytes = write(mixer_elt->tempgmurf->file, mixer_elt->dsp->buffer, BUFFER_SIZE*2);
	} // fi
      mixer_elt=mixer_elt->next_mixer_elt;
    } // while
  return(written_bytes);
}
